# Administration Reference

## kas delete

Purpose

Deletes an entry from the Authentication Database

Synopsis

    kas delete -name <name of user>
               [-admin_username <admin principal to use for authentication>]
               [-password_for_admin <admin password>]  [-cell <cell name>]
               [-servers <explicit list of authentication servers>+]
               [-noauth]  [-help]

    kas d -na <name of user>  [-a <admin principal to use for authentication>]
          [-p <admin password>]  [-c <cell name>]
          [-s <explicit list of authentication servers>+]  [-no]  [-h]

    kas rm -na <name of user>  [-a <admin principal to use for authentication>]
           [-p <admin password>]  [-c <cell name>]
           [-s <explicit list of authentication servers>+]  [-no]  [-h]

Description

The kas delete command removes from the Authentication Database the user entry named by the -name argument. The indicated user becomes unable to log in, or the indicated server becomes unreachable (because the Authentication Server's Ticket Granting Service module no longer has a key with which to seal tickets for the server).

Options

-name
  Names the Authentication Database entry to delete.

-admin_username
  Specifies the user identity under which to authenticate with the Authentication Server for execution of the command. For more details, see the introductory kas reference page.

-password_for_admin
  Specifies the password of the command's issuer. If it is omitted (as recommended), the kas command interpreter prompts for it and does not echo it visibly. For more details, see the introductory kas reference page.

-cell
  Names the cell in which to run the command. For more details, see the introductory kas reference page.

-servers
  Names each machine running an Authentication Server with which to establish a connection. For more details, see the introductory kas reference page.

-noauth
  Assigns the unprivileged identity anonymous to the issuer. For more details, see the introductory kas reference page.

-help
  Prints the online help for this command. All other valid options are ignored.

Examples

The following example shows the administrative user admin entering interactive mode to delete three accounts.

       % kas
       Password for admin:
       ka> delete smith
       ka> delete pat
       ka> delete terry

Privilege Required

The issuer must have the `ADMIN` flag set on his or her Authentication Database entry.

Related Information

kas

kas create

© IBM Corporation 2000. All Rights Reserved